
tell application "iTunes"
	set _playlist_ to playlist n
	
	set _name_ to {} & name of _playlist_
	set _kind_ to {} & special kind of _playlist_ as string
	set _id_ to {} & index of _playlist_ as string
	
	if parent of _playlist_ exists then
		set _parentID_ to {} & index of parent of _playlist_ as string
	else
		set _parentID_ to {} & ""
	end if
	
	if smart of _playlist_ exists then
		set _smart_ to {} & smart of _playlist_
	else
		set _smart_ to {} & false
	end if
	
	if every track of _playlist_ exists then
		set _items_ to {} & database ID of every track of _playlist_
	else
		set _items_ to {}
	end if
	
	set _info_ to _name_ & _kind_ & _id_ & _parentID_ & _smart_ & _items_
	get _info_
	
end tell